import { 
  
        select, 
  		scaleLinear,
        symbol

       } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);


const symbolFour = symbol().size(1000);

const symbolTypes = ['symbolCross', 'symbolCircle', 'symbolSquare', 'symbolTriangle'];

const xScale = scaleLinear()
  .domain([0, symbolTypes.length - 1])
  .range([0, 200]);

select('g')
  .selectAll('path')
  .data(symbolTypes)
  .enter()
  .append('path')
  .attr('transform', function(d, i) {
    return 'translate(' + xScale(i) + ', 0)';
  })
  .attr('d', function(d) {
    symbolFour.type(d3[d]);
    return symbolFour();
  });

